Object_viewer_qt on linux (Ubuntu)

Added by demonelfe about 6 years ago

Error when compil Object_viewer_qt on linux with last code :

/home/test/ryzomcore/code/nel/tools/3d/object_viewer_qt/src/plugins/gui_editor/widget_hierarchy.cpp: In member function âvoid GUIEditor::WidgetHierarchy::buildHierarchy(std::string&)â:
/home/test/ryzomcore/code/nel/tools/3d/object_viewer_qt/src/plugins/gui_editor/widget_hierarchy.cpp:87:54: erreur: call of overloaded âQTreeWidgetItem(NULL)â is ambiguous
/home/test/ryzomcore/code/nel/tools/3d/object_viewer_qt/src/plugins/gui_editor/widget_hierarchy.cpp:87:54: note: candidates are:
/usr/include/qt4/QtGui/qtreewidget.h:80:5: note: QTreeWidgetItem::QTreeWidgetItem(const QTreeWidgetItem&)
/usr/include/qt4/QtGui/qtreewidget.h:77:14: note: QTreeWidgetItem::QTreeWidgetItem(QTreeWidgetItem*, int)
/usr/include/qt4/QtGui/qtreewidget.h:74:14: note: QTreeWidgetItem::QTreeWidgetItem(QTreeWidget*, int)
/usr/include/qt4/QtGui/qtreewidget.h:72:14: note: QTreeWidgetItem::QTreeWidgetItem(int)
make[2]: *** [nel/tools/3d/object_viewer_qt/src/plugins/gui_editor/CMakeFiles/ovqt_plugin_gui_editor.dir/widget_hierarchy.cpp.o] Erreur 1
make[1]: *** [nel/tools/3d/object_viewer_qt/src/plugins/gui_editor/CMakeFiles/ovqt_plugin_gui_editor.dir/all] Erreur 2
make: *** [all] Erreur 2